Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PollableSet_var Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA_PollableSet_var

[legend]
Collaboration diagram for CORBA_PollableSet_var:

[legend]
List of all members.

## Public Methods
| CORBA_PollableSet_var (void)
| CORBA_PollableSet_var (CORBA_PollableSet_ptr p)
| CORBA_PollableSet_var (const CORBA_PollableSet_var &)
| ~CORBA_PollableSet_var (void)
CORBA_PollableSet_var& | operator= (CORBA_PollableSet_ptr)
CORBA_PollableSet_var& | operator= (const CORBA_PollableSet_var &)
CORBA_PollableSet_ptr | operator-> (void) const
| operator const CORBA_PollableSet_ptr & () const
| operator CORBA_PollableSet_ptr & ()
CORBA_PollableSet_ptr | in (void) const
CORBA_PollableSet_ptr& | inout (void)
CORBA_PollableSet_ptr& | out (void)
CORBA_PollableSet_ptr | _retn (void)
CORBA_PollableSet_ptr | ptr (void) const
## Static Public Methods
CORBA_PollableSet_ptr | tao_duplicate (CORBA_PollableSet_ptr)
void | tao_release (CORBA_PollableSet_ptr)
CORBA_PollableSet_ptr | tao_nil (void)
CORBA_PollableSet_ptr | tao_narrow (CORBA::Object *, CORBA::Environment &)
CORBA::Object* | tao_upcast (void *)
## Private Methods
| CORBA_PollableSet_var (const TAO_Base_var &rhs)
CORBA_PollableSet_var& | operator= (const TAO_Base_var &rhs)
## Private Attributes
CORBA_PollableSet_ptr | ptr_

## Constructor & Destructor Documentation

CORBA_PollableSet_var::CORBA_PollableSet_var ( | void )

CORBA_PollableSet_var::CORBA_PollableSet_var ( | CORBA_PollableSet_ptr p )`[inline]`

CORBA_PollableSet_var::CORBA_PollableSet_var ( | const CORBA_PollableSet_var & )

CORBA_PollableSet_var::~CORBA_PollableSet_var ( | void )

CORBA_PollableSet_var::CORBA_PollableSet_var ( | const TAO_Base_var & rhs )`[private]`

## Member Function Documentation

CORBA_PollableSet_ptr CORBA_PollableSet_var::_retn ( | void )

CORBA_PollableSet_ptr CORBA_PollableSet_var::in ( | void ) const

CORBA_PollableSet_ptr& CORBA_PollableSet_var::inout ( | void )

CORBA_PollableSet_var::operator CORBA_PollableSet_ptr & ( | )

CORBA_PollableSet_var::operator const CORBA_PollableSet_ptr & ( | ) const

CORBA_PollableSet_ptr CORBA_PollableSet_var::operator-> ( | void ) const

CORBA_PollableSet_var& CORBA_PollableSet_var::operator= ( | const TAO_Base_var & rhs )`[private]`

CORBA_PollableSet_var& CORBA_PollableSet_var::operator= ( | const CORBA_PollableSet_var & )

CORBA_PollableSet_var& CORBA_PollableSet_var::operator= ( | CORBA_PollableSet_ptr )

CORBA_PollableSet_ptr& CORBA_PollableSet_var::out ( | void )

CORBA_PollableSet_ptr CORBA_PollableSet_var::ptr ( | void ) const

CORBA_PollableSet_ptr CORBA_PollableSet_var::tao_duplicate ( | CORBA_PollableSet_ptr )`[static]`

CORBA_PollableSet_ptr CORBA_PollableSet_var::tao_narrow ( | CORBA::Object *,
| CORBA::Environment & )`[static]`

CORBA_PollableSet_ptr CORBA_PollableSet_var::tao_nil ( | void )`[static]`

void CORBA_PollableSet_var::tao_release ( | CORBA_PollableSet_ptr )`[static]`

CORBA::Object* CORBA_PollableSet_var::tao_upcast ( | void * )`[static]`

## Member Data Documentation

CORBA_PollableSet_ptr CORBA_PollableSet_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- PollableC.h